WebSphereLibraryRef (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereLibraryRef interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereLibraryRef

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereLibraryRef

extends LogicalElement

Represents a WebSphere Shared Library Reference defined for a J2EE App

Naming Rules:
  0="parent,sharedLibrary"
Persistable:
  true
Table Name:
  WASLIBREF
Display Name:
  sharedLibrary

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`WebSphereJ2EEApplication` | `getParent()`
`boolean` | `getSharedClassLoader()`
`WebSphereSharedLibrary` | `getSharedLibrary()`
`boolean` | `hasParent()`
`boolean` | `hasSharedClassLoader()`
`boolean` | `hasSharedLibrary()`
`void` | `setParent(WebSphereJ2EEApplication app)`
`void` | `setSharedClassLoader(boolean sharedClsLoader)`
`void` | `setSharedLibrary(WebSphereSharedLibrary lib)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereJ2EEApplication getParent()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Accesses" reverse="true"

### setParent

    void setParent(WebSphereJ2EEApplication app)

### hasParent

    boolean hasParent()

### getSharedLibrary

    WebSphereSharedLibrary getSharedLibrary()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Accesses" reverse="false"

### setSharedLibrary

    void setSharedLibrary(WebSphereSharedLibrary lib)

### hasSharedLibrary

    boolean hasSharedLibrary()

### getSharedClassLoader

    boolean getSharedClassLoader()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSharedClassLoader

    void setSharedClassLoader(boolean sharedClsLoader)

### hasSharedClassLoader

    boolean hasSharedClassLoader()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD